%define anolis_release 1

%global srcname dill

Name: python-%{srcname}
Version: 0.3.6
Release: %{anolis_release}%{?dist}
Summary: Serialize all of Python

License: BSD

URL: https://github.com/uqfoundation/dill
Source0: %{pypi_source}

BuildArch: noarch

%description
Dill extends python's 'pickle' module for serializing and de-serializing 
python objects to the majority of the built-in python types. 
Dill provides the user the same interface as the 'pickle' module, and also 
includes some additional features. In addition to pickling python objects, dill
provides the ability to save the state of an interpreter session in a single 
command. 

%package -n python3-%{srcname}
Summary:  %{summary}
BuildRequires: python3-devel
BuildRequires: %{py3_dist setuptools}
BuildRequires: python-unversioned-command

%description -n python3-%{srcname}
Dill extends python's 'pickle' module for serializing and de-serializing 
python objects to the majority of the built-in python types. 
Dill provides the user the same interface as the 'pickle' module, and also 
includes some additional features. In addition to pickling python objects, dill
provides the ability to save the state of an interpreter session in a single 
command. 

%package -n python3-%{srcname}-doc
Summary:    Doc files for python3-%{srcname}
Requires:   python3-%{srcname} = %{EVR}

%description -n python3-%{srcname}-doc
Doc files for python3-%{srcname}

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py3_build

%install
%py3_install


%files -n python3-%{srcname}
%license LICENSE
%exclude %{_bindir}/undill
%exclude %{_bindir}/get_objgraph
%{python3_sitelib}/%{srcname}*

%files -n python3-%{srcname}-doc
%doc README.md

%changelog
* Thu Jun 15 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.3.6-1
- init from upstream
